Subject: Re: MPC8245/1 UARTs and linux-2.6.13-rc5

From: Daniel Ann <[email-masked]>
Date: Wed, 3 Aug 2005 10:15:58 +0900

Kumar,

Just on the subject, I'm finding that I have to define STD_COM_FLAGS
with ASYNC_SKIP_TEST to get my 8245 uart to display on console.
Purpose of ASYNC_SKIP_TEST is to skip below section of code found in
8250.c
[snip]
static void autoconfig(struct uart_8250_port *up, unsigned int probeflags)
[snip]
    if (!(up->port.flags & UPF_SKIP_TEST)) {
        serial_outp(up, UART_MCR, UART_MCR_LOOP | 0x0A);
        status1 =3D serial_inp(up, UART_MSR) & 0xF0;
        serial_outp(up, UART_MCR, save_mcr);
        if (status1 !=3D 0x90) {
            DEBUG_AUTOCONF("LOOP test failed (%02x) ",
                       status1);
            goto out;
        }
    }
[end]
If I dont skip, then kernel boots up fine, with all the kernel printk,
but from /sbin/init onwards, I get no display and looking at the uart
interrupt using debugger, I see that interrupt hasnt been enabled. But
if I skip, all works like a charm.

Any idea why ?

On 8/2/05, Kumar Gala <[email-masked]> wrote:
> For all people have issues with the UARTs on MPC8245/1.  In the
> 2.6.13 kernel we reworked the support for UARTs to be platform
> devices.  If you look at the 2.6.13-rc5 release you will see the
> changes that went in.  Additionally, the sandpoint reference platform
> code was updated to take advantage of the changes.
>=20
> Hopefully, these changes will make some of the issues you might be
> facing less of a problem.
>=20
> - kumar
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>=20

--=20
Daniel